Page MenuHomePhabricator

revlogv2: allow upgrading to v2
ClosedPublic

Authored by Alphare on Jan 20 2021, 3:45 PM.

Details

Summary

Revlogv2 implies sidedata.
Right now sidedata is not really used in production, and Revlogv2 will be used
for the first production-ready version of sidedata support.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

Alphare created this revision.Jan 20 2021, 3:45 PM
pulkit added a subscriber: pulkit.Jan 22 2021, 11:42 AM
pulkit added inline comments.
mercurial/configitems.py
1286

A part of this seems like an unrelated change.

baymax updated this revision to Diff 25604.Feb 12 2021, 7:46 AM

βœ… refresh by Heptapod after a successful CI run (πŸ™ πŸ’š)

baymax updated this revision to Diff 25616.Feb 12 2021, 6:59 PM

βœ… refresh by Heptapod after a successful CI run (πŸ™ πŸ’š)

baymax updated this revision to Diff 25665.Feb 19 2021, 6:12 AM

βœ… refresh by Heptapod after a successful CI run (πŸ™ πŸ’š)

baymax updated this revision to Diff 25965.Feb 25 2021, 11:45 AM

βœ… refresh by Heptapod after a successful CI run (πŸ™ πŸ’š)

baymax updated this revision to Diff 26001.Mar 1 2021, 12:11 PM

βœ… refresh by Heptapod after a successful CI run (πŸ™ πŸ’š)

marmoute requested changes to this revision.Mar 2 2021, 11:31 AM
marmoute added a subscriber: marmoute.
marmoute added inline comments.
mercurial/configitems.py
1285–1292

This whole part seems like a mistake during a merge. We should drop it.

mercurial/upgrade_utils/actions.py
378–388

if revlogv2 <=> sidedata, we should replace the associate format variant with this new one on adding a "duplicated" one.

898

revlogv1 should move to a constant for clarity/cleaness. Can you do that as preparatory changesets?

This revision now requires changes to proceed.Mar 2 2021, 11:31 AM
Alphare marked 2 inline comments as done.Mar 4 2021, 3:32 AM
Alphare updated this revision to Diff 26047.
Alphare planned changes to this revision.Mar 4 2021, 3:35 AM
Alphare added inline comments.
mercurial/upgrade_utils/actions.py
378–388

I forgot to do this, my bad, I'll update

Alphare added inline comments.Mar 4 2021, 10:13 AM
mercurial/upgrade_utils/actions.py
378–388

This is done in D10113

marmoute accepted this revision.Mar 9 2021, 10:52 AM
baymax updated this revision to Diff 26216.Mar 10 2021, 2:10 PM

βœ… refresh by Heptapod after a successful CI run (πŸ™ πŸ’š)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.